Subject: Protocol Action: 'Packet Delivery Deadline time in 6LoWPAN Routing Header' to Proposed Standard (draft-ietf-6lo-deadline-time-05.txt)

From: The IESG <[email-masked]>
Date: Thu, 10 Oct 2019 08:48:59 -0700

The IESG has approved the following document:
- 'Packet Delivery Deadline time in 6LoWPAN Routing Header'
  (draft-ietf-6lo-deadline-time-05.txt) as Proposed Standard

This document is the product of the IPv6 over Networks of
Resource-constrained Nodes Working Group.

The IESG contact persons are Éric Vyncke and Suresh Krishnan.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-6lo-deadline-time/

Technical Summary

  RFC 8138 specifies the 6LoWPAN Routing Header (6LoRH),
  compression schemes for RPL routing (source routing) 
   operation [RFC6554], header compression of RPL Packet
   Information [RFC6553], and IP-in-IP encapsulation.  This document
   specifies a new Deadline-6LoRHE type for the 6LoWPAN Dispatch Page 1,
   so that the deadline time of data packets can be included within the
   6LoWPAN routing header.  This document also specifies handling of the
   deadline time when packets traverse through time-synchronized
   networks operating in different timezones or distinct reference clocks.
   Time synchronization is not mandated in this document, rather it points to
    different available time synchronization solutions for low power and lossy networks.

Working Group Summary

Working group has provided many input towards development of the document during the initial phase before it is becoming a WG document.
Once these comments were incorporated into the document, the draft went for successful adoption call. After that  two reviewers provided thorough comments including the shepherd.
Working group has a rough consensus to move this draft towards IESG submission.

Document Quality

draft-ietf-6lo-deadline-time-01 has been implemented in open source OpenWSN environment and got merged
with the main distribution.

The github links for this is available at:

https://github.com/openwsn-berkeley/openwsn-fw/tree/develop/openapps/uexpiration

https://github.com/openwsn-berkeley/openwsn-fw/pull/355

The shepherd or working group are unaware of any forthcoming vendor implementation of the document, however
openwsn source code is used by many low power vendors(6tisch).

The working group has provided feedback to the document -
https://mailarchive.ietf.org/arch/browse/6lo/?q=6lo-deadline-time 
Geoorge Papadopoulos and Samita Chakrabarti reviewed the recent document version -01.
Previously the working group commented on the non-working group version of the document
and the comments are available at: https://mailarchive.ietf.org/arch/browse/6lo/?q=6lo-expiration

Personnel

Shwetha Bhandari is the document shepherd. Suresh Krishnan is the responsible area director.